| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::Radius Struct Reference

For convolution filters, the "radius" is the size of the convolution kernel to use on the local space pixel grid of the filter input. For Gaussian blur kernels, this unit has a linear relationship with `Sigma`. See `kKernelRadiusPerSigma` for details on how this relationship works. More...

`#include <sigma.h>`

## Public Member Functions
constexpr | Radius ()=default
constexpr | Radius (Scalar p_radius)
| operator Sigma () const

## Public Attributes
Scalar | radius = 0.0

## Detailed Description

For convolution filters, the "radius" is the size of the convolution kernel to use on the local space pixel grid of the filter input. For Gaussian blur kernels, this unit has a linear relationship with `Sigma`. See `kKernelRadiusPerSigma` for details on how this relationship works.

Definition at line 48 of file sigma.h.

## Constructor & Destructor Documentation

## ◆ Radius() [1/2]

constexpr impeller::Radius::Radius | ( |  | ) |
| constexprdefault

## ◆ Radius() [2/2]

constexpr impeller::Radius::Radius | ( | Scalar | p_radius | ) |
| inlineexplicitconstexpr

Definition at line 53 of file sigma.h.

53 : radius(p_radius) {}
impeller::Radius::radius
Scalar radius
Definition: sigma.h:49

## Member Function Documentation

## ◆ operator Sigma()

impeller::Radius::operator Sigma | ( |  | ) | const

Definition at line 15 of file sigma.cc.

15 {
16 return Sigma{radius > 0 ? radius / kKernelRadiusPerSigma + 0.5f : 0.0f};
17 }
impeller::kKernelRadiusPerSigma
constexpr static float kKernelRadiusPerSigma
Definition: sigma.h:24

References impeller::kKernelRadiusPerSigma.

## Member Data Documentation

## ◆ radius

Scalar impeller::Radius::radius = 0.0

Definition at line 49 of file sigma.h.

Referenced by impeller::DirectionalMorphologyFilterContents::GetFilterCoverage(), and impeller::DirectionalMorphologyFilterContents::GetFilterSourceCoverage().

The documentation for this struct was generated from the following files:

- impeller/geometry/sigma.h
- impeller/geometry/sigma.cc